#-------------------------------------------------------------------------------
# Name:        MusicTab
# Purpose:
#
# Author:      Michael Blackwood
#
# Created:     28/06/2012
# Copyright:   (c) Monxcleyr Productions 2012
# Licence:     GPL v3
#-------------------------------------------------------------------------------
#!/usr/bin/env python

##from PySide import QtCore, QtGui
from PySide.QtGui import QWidget
import musicplayer

class MusicTab():

  """class comment"""

  def __init__(self, mainWindow, instance, parent, attributes):
    self.mainWindow = mainWindow
    self.instance = instance
    # format: ['Title', ['','','','','','','','']
    self.attributes = attributes
    self.parent = parent
    self.widget = QWidget()
    self.parent.addTab(self.widget, self.attributes[0])
    self.createPlayers()

  def getAttributes(self):
    temp = ['music', self.parent.indexOf(self.widget)]
    temp2 = [self.attributes[0]]
    temp3 = []
    for i in range(0,8):
      temp3.append(self.players[i].attributes)
    temp2.append(temp3)
    temp.append(temp2)
    return temp

  def renameTab(self, name):
    self.attributes[0] = name

  def updateDevice(self, device):
    for i in range(0,8):
      self.players[i].updateDevice(device)

  def kill(self):
    for i in range(0,8):
      self.players[i].kill()
##      getattr(self, 'player_' + str(i)).media.stop()
##      getattr(self, 'player_' + str(i)).createAttr()

  def createPlayers(self):
    self.players = []
    for i in range(0, 8):
      self.players.append(musicplayer.MusicPlayer(self.widget, (10, 7 + (i * 70)), self.instance, self.attributes[1][i]))
##    self.player_1 = musicplayer.MusicPlayer(self.widget, (10, 7), self.instance, self.attributes[1][0])
##    self.player_2 = musicplayer.MusicPlayer(self.widget, (10, 77), self.instance, self.attributes[1][1])
##    self.player_3 = musicplayer.MusicPlayer(self.widget, (10, 147), self.instance, self.attributes[1][2])
##    self.player_4 = musicplayer.MusicPlayer(self.widget, (10, 217), self.instance, self.attributes[1][3])
##    self.player_5 = musicplayer.MusicPlayer(self.widget, (10, 287), self.instance, self.attributes[1][4])
##    self.player_6 = musicplayer.MusicPlayer(self.widget, (10, 357), self.instance, self.attributes[1][5])
##    self.player_7 = musicplayer.MusicPlayer(self.widget, (10, 427), self.instance, self.attributes[1][6])
##    self.player_8 = musicplayer.MusicPlayer(self.widget, (10, 497), self.instance, self.attributes[1][7])
