#-------------------------------------------------------------------------------
# Name:        SoundTab
# Purpose:
#
# Author:      Michael Blackwood
#
# Created:     26/06/2012
# Copyright:   (c) Monxcleyr Productions 2012
# Licence:     GPL v3
#-------------------------------------------------------------------------------
#!/usr/bin/env python

##from PySide import QtCore, QtGui
from PySide.QtGui import QWidget
import soundplayer

class SoundTab():

  """class comment"""

  def __init__(self, mainWindow, instance, parent, attributes):
    self.mainWindow = mainWindow
    self.instance = instance
    # format: ['Title', ['','','','','','','','','','','','','','','','']
    self.attributes = attributes
    self.parent = parent
    self.widget = QWidget()
    self.parent.addTab(self.widget, self.attributes[0])
    self.createPlayers()

  def getAttributes(self):
    temp = ['sound', self.parent.indexOf(self.widget)]
    temp2 = [self.attributes[0]]
    temp3 = []
    for i in range(0,16):
      temp3.append(self.players[i].attributes)
    temp2.append(temp3)
    temp.append(temp2)
    return temp

  def renameTab(self, name):
    self.attributes[0] = name

  def updateDevice(self, device):
    for i in range(0,16):
      self.players[i].updateDevice(device)

  def kill(self):
    for i in range(0,16):
      self.players[i].kill()

  def createPlayers(self):
    self.players = []
    for i in range(0, 16):
      if i < 8:
        self.players.append(soundplayer.SoundPlayer(self.widget, (10, (i * 70) + 7), self.instance, self.attributes[1][i]))
      else:
        self.players.append(soundplayer.SoundPlayer(self.widget, (260, ((i - 8) * 70) + 7), self.instance, self.attributes[1][i]))
